Mailinglist Archive: opensuse-factory (807 mails)

< Previous Next >
[opensuse-factory] New Tumbleweed snapshot 20170216 released!

Please note that this mail was generated by a script.
The described changes are computed based on the x86_64 DVD.
The full online repo contains too many changes to be listed here.

Please check the known defects of this snapshot before upgrading:
https://openqa.opensuse.org/tests/overview?distri=opensuse&groupid=1&version=Tumbleweed&build=20170216

When you reply to report some issues, make sure to change the subject.
It is not helpful to keep the release announcement subject in a thread
while discussing a specific problem.

Packages changed:
ImageMagick (6.9.7.5 -> 6.9.7.7)
SuSEfirewall2
akregator
alsa
bcm20702a1-firmware
desktop-translations (20151007 -> 84.87.20170202.0c8d823)
fltk
getdata
gpgme
gstreamer-transcoder
kalarmcal
kapptemplate (16.12.1 -> 16.12.2)
katomic (16.12.1 -> 16.12.2)
kbd
kblackbox (16.12.1 -> 16.12.2)
kblocks (16.12.1 -> 16.12.2)
kbounce (16.12.1 -> 16.12.2)
kbreakout (16.12.1 -> 16.12.2)
kbruch (16.12.1 -> 16.12.2)
kcalutils
kcron (16.12.1 -> 16.12.2)
kde-print-manager (16.12.1 -> 16.12.2)
kdeedu-data (16.12.1 -> 16.12.2)
kdesdk4-scripts (16.12.1 -> 16.12.2)
kdf (16.12.1 -> 16.12.2)
kdiamond (16.12.1 -> 16.12.2)
keditbookmarks (16.12.1 -> 16.12.2)
kfilereplace (16.12.1 -> 16.12.2)
kgeography (16.12.1 -> 16.12.2)
khangman (16.12.1 -> 16.12.2)
kig (16.12.1 -> 16.12.2)
kimagemapeditor (16.12.1 -> 16.12.2)
kiriki (16.12.1 -> 16.12.2)
kiten (16.12.1 -> 16.12.2)
kjumpingcube (16.12.1 -> 16.12.2)
klettres (16.12.1 -> 16.12.2)
klinkstatus (16.12.1 -> 16.12.2)
kmahjongg (16.12.1 -> 16.12.2)
kmines (16.12.1 -> 16.12.2)
kmplot (16.12.1 -> 16.12.2)
knavalbattle (16.12.1 -> 16.12.2)
knetwalk (16.12.1 -> 16.12.2)
kollision (16.12.1 -> 16.12.2)
kolourpaint (16.12.1 -> 16.12.2)
kpat (16.12.1 -> 16.12.2)
kppp (16.12.1 -> 16.12.2)
kremotecontrol (16.12.1 -> 16.12.2)
kscd (16.12.1 -> 16.12.2)
kshisen (16.12.1 -> 16.12.2)
ksquares (16.12.1 -> 16.12.2)
ksystemlog (16.12.1 -> 16.12.2)
kteatime (16.12.1 -> 16.12.2)
ktimer (16.12.1 -> 16.12.2)
ktouch (16.12.1 -> 16.12.2)
ktuberling (16.12.1 -> 16.12.2)
kturtle (16.12.1 -> 16.12.2)
kwordquiz (16.12.1 -> 16.12.2)
libbluray
libkdegames (16.12.1 -> 16.12.2)
libkeduvocdocument (16.12.1 -> 16.12.2)
libkmahjongg (16.12.1 -> 16.12.2)
libkolab-qt5
libkolabxml
libktorrent
libmms
libstorage (2.26.11 -> 2.26.12)
lokalize (16.12.1 -> 16.12.2)
mbox-importer (16.12.1 -> 16.12.2)
nfs-utils (1.3.4 -> 2.1.1)
okteta (16.12.1 -> 16.12.2)
parley (16.12.1 -> 16.12.2)
perl-Config-Crontab (1.41 -> 1.42)
perl-DBD-XBase (1.07 -> 1.08)
perl-Devel-Symdump (2.17 -> 2.18)
perl-Image-ExifTool (10.36 -> 10.40)
perl-Variable-Magic (0.60 -> 0.61)
perl-libwww-perl (6.15 -> 6.19)
pim-data-exporter (16.12.1 -> 16.12.2)
postgresql (9.4 -> 9.6)
postgresql93 (9.3.15 -> 9.3.16)
postgresql94 (9.4.10 -> 9.4.11)
postgresql95 (9.5.5 -> 9.5.6)
postgresql96 (9.6.1 -> 9.6.2)
postgresql96-libs (9.6.1 -> 9.6.2)
smb4k (1.2.2 -> 1.2.3)
sqlite3 (3.16.2 -> 3.17.0)
vdr
vigra

=== Details ===

==== ImageMagick ====
Version update (6.9.7.5 -> 6.9.7.7)
Subpackages: ImageMagick-devel ImageMagick-extra libMagick++-6_Q16-7
perl-PerlMagick

- updated to 6.9.7-7
* Sanitize comments that include braces for the MIFF image format.
* Uninitialized data in MAT image format.
* see ChangeLog for full changelog

==== SuSEfirewall2 ====

- Remove unused PreReq for insserv and fillup

==== akregator ====

- Update description with text from Debian

==== alsa ====
Subpackages: alsa-devel libasound2 libasound2-32bit

- Drop alsa-lib-doxygen-avoid-crash-for-11.3.diff as it was applied
only in case of 11.3 and never else
- Use Requires(phase) instead of prereq string
- Use official %udevrulesdir macro instead of handbrew udevdir
- Version provides/obsoletes in devel pkg to avoid warning
- Remove hack that allowed build on SLE10
- Don't require insserv if we don't need it.

==== bcm20702a1-firmware ====

- Fix typo in filelist, add one additional firmware file

==== desktop-translations ====
Version update (20151007 -> 84.87.20170202.0c8d823)

- Update to version 84.87.20170202.0c8d823:
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Slovak)
* Translated using Weblate (Italian)
* Translated using Weblate (Slovak)
* Translated using Weblate (Italian)
* Translated using Weblate (Italian)
* Translated using Weblate (Catalan)
- Update to version 84.87.20170109.20ca54c:
* new data from upstream
- Update package for new GIT repo.

==== fltk ====

- Explicitly package %{_docdir}/fltk-devel in order to fix build
with RPM 4.13.0.

==== getdata ====
Subpackages: getdata-devel getdata-doc libgetdata++7 libgetdata8

- Fix RPM groups again. Drop useless %clean section.
Update descriptions.

==== gpgme ====
Subpackages: libgpgme-devel libgpgme11 libgpgmepp6 libqgpgme7

- Unconditionalize python and python3 builds
- Unconditionalize c++ build
- Fix RPM groups
- Do not condition around the qt version as it breaks baselibs validator
- gpgme-include_functional.patch: include <functional> where
needed, fix GCC7 build

==== gstreamer-transcoder ====
Subpackages: libgsttranscoder-1_0-0 typelib-1_0-GstTranscoder-1_0

- Move the GStreamer transcoder plugin from devel subpackage to
main package. Applications (e.g. Pitivi) which rely on
gstreamer-transcoder assume the plugin is provided and may crash
without it (boo#1023627).

==== kalarmcal ====
Subpackages: libKF5AlarmCalendar5

- Replace description by the one from Debian

==== kapptemplate ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== katomic ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kbd ====

- Drop kdb-legacy Requires: No longer needed, and was always meant
to be temporary.

==== kblackbox ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kblocks ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kbounce ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kbreakout ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kbruch ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kcalutils ====
Subpackages: libKF5CalendarUtils5

- Replace description by one from Debian

==== kcron ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kde-print-manager ====
Version update (16.12.1 -> 16.12.2)

- Add remove-popupapplet-definition.patch:
* Removes deprecated definition which prevents AppStream
metadata generation
- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kdeedu-data ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kdesdk4-scripts ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kdf ====
Version update (16.12.1 -> 16.12.2)
Subpackages: kwikdisk

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kdiamond ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== keditbookmarks ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kfilereplace ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kgeography ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== khangman ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kig ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kimagemapeditor ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kiriki ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kiten ====
Version update (16.12.1 -> 16.12.2)
Subpackages: fonts-KanjiStrokeOrders

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kjumpingcube ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== klettres ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== klinkstatus ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kmahjongg ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kmines ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kmplot ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== knavalbattle ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== knetwalk ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kollision ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kolourpaint ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kpat ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kppp ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kremotecontrol ====
Version update (16.12.1 -> 16.12.2)
Subpackages: liblibkremotecontrol1

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kscd ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kshisen ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== ksquares ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== ksystemlog ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kteatime ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== ktimer ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== ktouch ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== ktuberling ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kturtle ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== kwordquiz ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== libbluray ====

- drop patch A02-expopse-clip_id.patch as Handbrake seems to be the only
package that needs it, to avoid binary runtime incompatibilities with
libbluray packages that would stem from other repositories
- add patch to expose clip_id (as applied by Debian), which is
necessary to build packages that depend on it (such as Handbrake)
* A02-expose-clip_id.patch

==== libkdegames ====
Version update (16.12.1 -> 16.12.2)
Subpackages: kdegames-carddecks-default libkdegames-devel libkf5kdegames6

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== libkeduvocdocument ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== libkmahjongg ====
Version update (16.12.1 -> 16.12.2)
Subpackages: libKF5KMahjongglib5 libkmahjongg-devel

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== libkolab-qt5 ====

- Update RPM group, description.

==== libkolabxml ====

- RPM group fix; drop unnecessary use of %__ type macros

==== libktorrent ====
Subpackages: libktorrent-devel libktorrent6 libktorrent6-lang

- Fix RPM group, remove redundant %clean section.

==== libmms ====
Subpackages: libmms-devel libmms0

- Explicitly package %{_docdir}/%{name} to fix build with RPM 4.13.

==== libstorage ====
Version update (2.26.11 -> 2.26.12)
Subpackages: libstorage-ruby libstorage7

- omit option --zero for lvcreate when creating thin provisioned
volumes (bsc#968346)
- 2.26.12

==== lokalize ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== mbox-importer ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== nfs-utils ====
Version update (1.3.4 -> 2.1.1)
Subpackages: nfs-client nfs-doc nfs-kernel-server

- update upstream version from 1.3.4 to 2.1.1
The significant update is that configuration can
now be read from a central /etc/nfs.conf file, and
it can include other files such as /etc/sysconfig/nfs
This means that the old nfs-config.service systemd
unit is no longer needed.
- /etc/nfs.conf file created to import all sysconfig
settings except *_OPTIONS directly into running code.
- dropins created to pass *_OPTIONS sysconfig setting to
the various daemons.
- various specfile improvements, such as using "-D" in
"install" commands, and adding "verify_permissions".
- "xtab" has not been needed for years and has now been remove.
- sysconfig.nfs updated, particular the ServiceRestart
declarations have been tuned for systemd units.
- 0003-nfs-server-generator-handle-noauto-mounts-correctly.patch
Fix the nfs-server-generator so that mounts marked "noauto"
are not automatically mounted when NFS exported.
(bsc#1019211)
- 0001-conffile-ignore-empty-environment-variables.patch
0002-mount-call-setgroups-before-setuid.patch
Other minor fixes found during testing.
- REMOVED 0001-Make-location-of-nfs-utils_env.sh-configurable.patch
now included upstream

==== okteta ====
Version update (16.12.1 -> 16.12.2)
Subpackages: okteta-devel

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== parley ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== perl-Config-Crontab ====
Version update (1.41 -> 1.42)

- updated to 1.42
see /usr/share/doc/packages/perl-Config-Crontab/Changes
Release 1.42
- ---------------------------
commit 337927a0840a7d3572b31c9c31c2911463e6bbc4
Author: Felipe Gasper <felipe@xxxxxxxxxxxxxxxx>
Date: Fri Jan 6 15:39:46 2017 -0500
Use lexical filehandles rather than barewords (https://github.com/FGasper)

==== perl-DBD-XBase ====
Version update (1.07 -> 1.08)

- updated to 1.08
see /usr/share/doc/packages/perl-DBD-XBase/Changes
1.08 Fri Jan 13 21:20:15 CET 2017
Add support for dBASE IV memo type B.

==== perl-Devel-Symdump ====
Version update (2.17 -> 2.18)

- updated to 2.18
see /usr/share/doc/packages/perl-Devel-Symdump/Changes
2017-02-07 k <andk@xxxxxxxx>
* release 2.18
* Makefile.PL changes to support perls without "." in @INC (Todd
Rinaldo); no functional change

==== perl-Image-ExifTool ====
Version update (10.36 -> 10.40)
Subpackages: exiftool perl-File-RandomAccess

- Update to version 10.40 (changes since 10.36):
* Decode more information from BMP V4 and V5 images.
* Add a few new FujiFlashMode values.
* Change the -geotime default to use an unconverted value of
DateTimeOriginal.
* Changed a couple of Sony Voigtlander LensType strings.
* Warn about invalid tag names used on the command line.
* Generate a default-language version of QuickTime tags even if
the same-named tag already exists in an another group.
* Fix a bug reading some Photoshop layer information.
* Fix problems in the sample config file time_zone.config.
* Add a couple of new XMP-ics tags.
* Add a new Nikon LensID.
* Decode a couple more PhaseOne tags.
* Increase priority of Sony 0x0115 WhiteBalance when reading.
* Range check QuickTime date/time values when writing.
* Apply CharsetPhotoshop setting to decoding of Photoshop
LayerNames.
* Improve identification of Nikon NRW images.
* Minor improvements to verbose dump of FLIR information.
* Improvements to the sample time_zone.config file.
* Remove the trailing null in the -b output for GPSDateStamp.
* Change the "TAG is not supported" warning when writing to
"TAG is not defined".
* Change groups of Composite Preview/Thumbnail/JpgFromRaw/etc
images to match he tags from which they are derived.
* Change a description of Composite Nikon LensSpec tag to match
the tag name.
* Fix problems reading/writing PreviewImage from some DNG files.
* Add the Perl version and Unicode settings to -ver -v output.
* Add a new Sony LensType2 value.
* Fix a problem with MWG date/time tags.
* Fix a problem setting the value of a tag from a binary file
when the PERL_UNICODE environment or the perl -C option is used
to force UTF-8 treatment of @ARGV elements.
* Fix tests that were failing on some platforms.

==== perl-Variable-Magic ====
Version update (0.60 -> 0.61)

- updated to 0.61
see /usr/share/doc/packages/perl-Variable-Magic/Changes
0.61 2017-01-24 15:30 UTC
+ Fix : [RT #115792] : Latest blead stack unwind work causes infloop
in a test.
A change in how the core frees temporary values after eval
interacted badly with Variable::Magic and caused infinite loops
when a free callback was attached to a wizard. This change was
temporarily reverted, but is going to be reinstated, and
Variable::Magic is now able to play nicely when this happens.
Thanks Peter Rabbitson for reporting and David Mitchell for
providing a fix.

==== perl-libwww-perl ====
Version update (6.15 -> 6.19)

- updated to 6.19
see /usr/share/doc/packages/perl-libwww-perl/Changes
- updated to 6.18
see /usr/share/doc/packages/perl-libwww-perl/Changes

==== pim-data-exporter ====
Version update (16.12.1 -> 16.12.2)

- Update to KDE Applications 16.12.2
* KDE Applications 16.12.2
* https://www.kde.org/announcements/announce-applications-16.12.2.php

==== postgresql ====
Version update (9.4 -> 9.6)
Subpackages: postgresql-contrib postgresql-devel postgresql-docs
postgresql-server

- Bump version and defaultpackage to 9.6.

==== postgresql93 ====
Version update (9.3.15 -> 9.3.16)

- Update to version 9.3.16:
- Build corruption with CREATE INDEX CONCURRENTLY
- Fixes for visibility and write-ahead-log stability
For the full release notes, see:
https://www.postgresql.org/docs/9.3/static/release-9-3-16.html

==== postgresql94 ====
Version update (9.4.10 -> 9.4.11)

- Update to version 9.4.11:
- Build corruption with CREATE INDEX CONCURRENTLY
- Fixes for visibility and write-ahead-log stability
For the full release notes, see:
https://www.postgresql.org/docs/9.4/static/release-9-4-11.html

==== postgresql95 ====
Version update (9.5.5 -> 9.5.6)

- Update to version 9.5.6:
- Build corruption with CREATE INDEX CONCURRENTLY
- Fixes for visibility and write-ahead-log stability
- For the other bug fixes, see the release notes:
https://www.postgresql.org/docs/9.5/static/release-9-5-6.html

==== postgresql96 ====
Version update (9.6.1 -> 9.6.2)

- upate to 9.6.2
- Build corruption with CREATE INDEX CONCURRENTLY
- Fixes for visibility and write-ahead-log stability
For the full release notes, see:
https://www.postgresql.org/docs/9.6/static/release-9-6-2.html

==== postgresql96-libs ====
Version update (9.6.1 -> 9.6.2)
Subpackages: libecpg6 libpq5

- upate to 9.6.2
- Build corruption with CREATE INDEX CONCURRENTLY
- Fixes for visibility and write-ahead-log stability
For the full release notes, see:
https://www.postgresql.org/docs/9.6/static/release-9-6-2.html

==== smb4k ====
Version update (1.2.2 -> 1.2.3)
Subpackages: smb4k-doc smb4k-lang

- Update to 1.2.3:
* Fix Smb4KSharesMenu::refreshMenu() function. Backported from master.
* Fix Smb4KBookmarkMenu::refreshMenu() and simplify
Smb4KBookmarkMenu::setupMenu() functions. Backported from master.
* Introduce workaround to search code so that network search is
also working with option 'client max protocol = SMB3' defined
in smb.conf. Backported fix from master.

==== sqlite3 ====
Version update (3.16.2 -> 3.17.0)
Subpackages: libsqlite3-0 libsqlite3-0-32bit sqlite3-devel sqlite3-doc

- Drop update-desktop-files BuildRequires: this package contains no
desktop files, hence there is no need to handle any of them.
- Update to 3.17.0
* Approximately 25% better performance from the R-Tree extension.
* Add the SQLITE_DEFAULT_LOOKASIDE compile-time option.
* Increase the default lookaside size from 512,125 to 1200,100
as this provides better performance while only adding 56KB of
extra memory per connection.
* Use compiler built-ins __builtin_sub_overflow(),
__builtin_add_overflow(), and __builtin_mul_overflow()
when available.
* Added the SQLITE_ENABLE_NULL_TRIM compile-time option, which
can result in significantly smaller database files for some
applications, at the risk of being incompatible with older
versions of SQLite.
* Change SQLITE_DEFAULT_PCACHE_INITSZ from 100 to 20, for
improved performance.
* Added the SQLITE_UINT64_TYPE compile-time option as an analog
to SQLITE_INT64_TYPE.
* Perform some UPDATE operations in a single pass instead of in
two passes.
* Enhance the session extension to support WITHOUT ROWID tables.
* Fixed performance problems and potential stack overflows when
creating views from multi-row VALUES clauses with hundreds of
thousands of rows.
* Added the sha1.c extension.
* In the command-line shell, enhance the ".mode" command so that
it restores the default column and row separators for modes
"line", "list", "column", and "tcl".
* Enhance the SQLITE_DIRECT_OVERFLOW_READ option so that it
works in WAL mode as long as the pages being read are not
in the WAL file.
* Enhance the LEMON parser generator so that it can store the
parser object as a stack variable rather than allocating space
from the heap and make use of that enhancement in the amalgamation.
* Other performance improvements. Uses about 6.5% fewer CPU cycles.
* Throw an error if the ON clause of a LEFT JOIN references
tables to the right of the ON clause. This is the same behavior
as PostgreSQL. Formerly, SQLite silently converted the LEFT JOIN
into an INNER JOIN. Fix for ticket 25e335f802dd.
* Use the correct affinity for columns of automatic indexes.
Ticket 7ffd1ca1d2ad4ec.
* Ensure that the sqlite3_blob_reopen() interface can correctly
handle short rows. Fix for ticket e6e962d6b0f06f46e.

==== vdr ====

- fix build with newer systemd (no libsytemd-daemon anymore) and
split ncurses-devel package in Factory/Tumbleweed
- replace vdr-2.2.0-dynamite.patch with "official"
vdr-2.2.0-dynamite.diff (code-wise equivealent)

==== vigra ====

- Update RPM group. Run fdupes.

--
To unsubscribe, e-mail: opensuse-factory+unsubscribe@xxxxxxxxxxxx
To contact the owner, e-mail: opensuse-factory+owner@xxxxxxxxxxxx

< Previous Next >